# Interface DexEntry

interface DexEntry {
caughtAttr : bigint;
caughtCount : number;
hatchedCount : number;
ivs : number[];
natureAttr : number;
seenAttr : bigint;
seenCount : number;
}

- Defined in src/system/game-data.ts:134

#####
Index

### Properties

caughtAttr
caughtCount
hatchedCount
ivs
natureAttr
seenAttr
seenCount

## Properties

### caughtAttr

caughtAttr: bigint

- Defined in src/system/game-data.ts:136

### caughtCount

caughtCount: number

- Defined in src/system/game-data.ts:139

### hatchedCount

hatchedCount: number

- Defined in src/system/game-data.ts:140

### ivs

ivs: number[]

- Defined in src/system/game-data.ts:141

### natureAttr

natureAttr: number

- Defined in src/system/game-data.ts:137

### seenAttr

seenAttr: bigint

- Defined in src/system/game-data.ts:135

### seenCount

seenCount: number

- Defined in src/system/game-data.ts:138